import { OnInit, EventEmitter } from '@angular/core';
import { CategorizationChangeEvent } from '../../events/categorization-change-event';
import { ListSearchService, ListItemModel, TaxonomyFieldDefinitionService } from 'e5core-angular-services';
import { UiStyleService } from '../../services/ui-style.service';
export declare class E5coreUiCategorizationComponent implements OnInit {
    style: UiStyleService;
    private listService;
    private fieldDefinitonServices;
    readonly CATEGORY1_ID: string;
    readonly CATEGORY2_ID: string;
    readonly CATEGORY3_ID: string;
    hideToLevel: number;
    categorization: number[];
    labels: string[];
    readonly: boolean;
    categorizationChange: EventEmitter<CategorizationChangeEvent>;
    defaultComplete: EventEmitter<CategorizationChangeEvent>;
    cat1List: ListItemModel[];
    cat2List: ListItemModel[];
    cat3List: ListItemModel[];
    cat123: number[];
    catLabels: string[];
    lastCat123: number[];
    constructor(style: UiStyleService, listService: ListSearchService, fieldDefinitonServices: TaxonomyFieldDefinitionService);
    ngOnInit(): void;
    applyLabels(): void;
    onCategoryChange($event: CategorizationChangeEvent): void;
    private loadCategorization1(cat123);
    private loadCategorization2(cat123, parentId);
    private loadCategorization3(cat123, parentId);
}
