import { OnInit, AfterViewInit, EventEmitter } from "@angular/core";
import { ViewerModel } from '../../../models/viewer-model';
import { E5ConfigurationService, ConfigurationScopeService } from 'e5core-angular-services';
import { ViewerBehaviourType } from '../../../enums/viewer-behaviour-type';
import { ViewerDisplayEvent } from '../../../events/viewer-display-event';
export declare class E5coreUiEmailConversationViewerComponent implements AfterViewInit, OnInit {
    e5ConfigurationService: E5ConfigurationService;
    configurationScopeService: ConfigurationScopeService;
    behaviourType: ViewerBehaviourType;
    popupWindowFeatures: string;
    readonly: boolean;
    viewerDisplayedEvent: EventEmitter<ViewerDisplayEvent>;
    conversationViewerUrl: string;
    constructor(e5ConfigurationService: E5ConfigurationService, configurationScopeService: ConfigurationScopeService);
    ngOnInit(): void;
    ngAfterViewInit(): void;
    showInlineViewer(viewerModel: ViewerModel): void;
    showPopViewer(viewerModel: ViewerModel): void;
    private performWindowPopup(viewerModel);
    constructViewerUrl(viewerModel: ViewerModel, nextFunction: Function): void;
    raiseEvent(viewerModel: ViewerModel): void;
}
