import { OnInit } from '@angular/core';
import { E5coreUiDatagridBase } from './e5core-ui-datagrid-base';
import { MaterialTableDataSource } from './material-table-data-source';
import { DataSourceQuery } from '../../../datasource/data-source-query';
import { PageEvent, MatSort, MatPaginator } from '@angular/material';
import { ColumnDef } from '../../e5core-ui-search-results/component/e5core-ui-search-results-material.component';
import { DataSourceColumn } from '../../../datasource/data-source-column';
export declare class E5coreUiDatagridMaterialComponent extends E5coreUiDatagridBase implements OnInit {
    tableDataSource: MaterialTableDataSource;
    isEmpty: boolean;
    length: number;
    pageSize: number;
    pageSizeOptions: number[];
    findClassId: number;
    loading: boolean;
    delayedQuery: DataSourceQuery;
    headings: DataSourceColumn[];
    pageEvent: PageEvent;
    sort: MatSort;
    paginator: MatPaginator;
    constructor();
    ngOnInit(): void;
    setPageSizeOptions(setPageSizeOptionsInput: string): void;
    /**
     * Return the list of columns available in the table.
     */
    columns(): ColumnDef[];
    /**
     * Return the list of column names that will be displayed in the table.
     */
    displayedColumns(): string[];
    search(query: DataSourceQuery): void;
    reset(): void;
    refresh(): void;
}
