import { OnInit, EventEmitter, QueryList } from '@angular/core';
import { DataSourceQuery } from '../../datasource/data-source-query';
import { IDataSource } from '../../datasource/data-source';
import { UiStyleService } from '../../services/ui-style.service';
import { E5coreUiDatagridBase } from './component/e5core-ui-datagrid-base';
export declare class E5coreUiDatagridComponent implements OnInit {
    style: UiStyleService;
    datasource: IDataSource;
    query: DataSourceQuery;
    autoSearch: boolean;
    pagesizes: number[];
    open: EventEmitter<any>;
    select: EventEmitter<any>;
    link: EventEmitter<string>;
    error: string;
    datagridChildren: QueryList<E5coreUiDatagridBase>;
    constructor(style: UiStyleService);
    ngOnInit(): void;
    /**
     *  Pass the open work item event on to any listener.
     * @param data the row of data, including the "Id" from the table.
     */
    onOpen(data: any): void;
    /**
     *  Pass the select link on to any listener.
     * @param data the row of data, including the "Id" from the table.
     */
    onSelect(data: any): void;
    /**
     *  Pass the open link on to any listener.
     * @param data the row of data, including the "Id" from the table.
     */
    onLink(link: string): void;
    /**
     * Execute a search with the required search expression values.
     * @param expression the fields and values required to perform the search.
     */
    search(query: DataSourceQuery): void;
    /**
     * Clear the search results.
     */
    reset(): void;
    /**
     * Refresh the search results at the current page.
     */
    refresh(): void;
}
