import { OnInit, EventEmitter } from '@angular/core';
import { E5ConfigurationService as e5Config } from 'e5core-angular-services';
import { BehaviorSubject } from 'rxjs';
import { WorkItemModel } from '../../models/work-item';
import { FileUploadModel } from '../../models/file-upload.model';
import { WorkAttachmentAddEvent } from '../../events/work-attachment-add-event';
import { UiStyleService } from '../../services/ui-style.service';
export declare class E5coreUiFileUploadComponent implements OnInit {
    style: UiStyleService;
    private config;
    workItem$: BehaviorSubject<WorkItemModel>;
    fileUpload$: BehaviorSubject<FileUploadModel>;
    uploadToUrl: string;
    acceptedFileExtensions: string;
    maxFileSize: string;
    uploadEvent: EventEmitter<WorkAttachmentAddEvent>;
    isInitialised: boolean;
    actualUploadToUrl: string;
    constructor(style: UiStyleService, config: e5Config);
    ngOnInit(): void;
    onUploadEvent(event: any): void;
    private DetermineUploadUrl();
}
