import { OnInit, EventEmitter, QueryList } from '@angular/core';
import { BehaviorSubject } from 'rxjs';
import { WorkItemModel } from '../../models/work-item';
import { FileUploadModel } from '../../models/file-upload.model';
import { WorkDocumentFoundationService, WorkAttachmentTypeFoundationService } from 'e5core-angular-services';
import { E5coreUiGenerateDocumentBaseComponent } from './component/e5core-ui-generate-document-base';
import { WorkAttachmentAddEvent } from '../../events/work-attachment-add-event';
import { UiStyleService } from '../../services/ui-style.service';
export declare class E5coreUiGenerateDocumentComponent implements OnInit {
    style: UiStyleService;
    private workAttachmentTypeFoundationService;
    private workDocumentFoundationService;
    workItem$: BehaviorSubject<WorkItemModel>;
    fileUpload$: BehaviorSubject<FileUploadModel>;
    showGenerateButton: boolean;
    readonly: boolean;
    generateDocumentEvent: EventEmitter<WorkAttachmentAddEvent>;
    private selectedDocumentTemplateId;
    private selectedAttachmentTypeId;
    generateDocumentComponents: QueryList<E5coreUiGenerateDocumentBaseComponent>;
    constructor(style: UiStyleService, workAttachmentTypeFoundationService: WorkAttachmentTypeFoundationService, workDocumentFoundationService: WorkDocumentFoundationService);
    ngOnInit(): void;
    populateAttachmentTypes(wid: string): void;
    populateDocumentTemplates(wid: string): void;
    onGenerateDocument(event: any): void;
    generateDocument(): void;
    onSelectDocumentTemplate(event: any): void;
    onSelectAttachmentType(event: any): void;
}
