import { OnInit, EventEmitter } from '@angular/core';
import { MonitorsSlaMonitorService } from 'e5core-angular-services';
import { MonitorsSlaMonitorModel } from 'e5core-angular-services';
import { MonitorSlaSelectEvent } from '../../../events/monitor-sla-select-event';
import { MonitorSlaChangeEvent } from '../../../events/monitor-sla-change-event';
export declare class E5coreUiMonitorSlaHighchartsComponent implements OnInit {
    private monitorService;
    constructor(monitorService: MonitorsSlaMonitorService);
    categorisation: number[];
    statuses: number[];
    slaRange: number;
    slaInDays: boolean;
    categoryChange: EventEmitter<MonitorSlaChangeEvent>;
    slaSelect: EventEmitter<MonitorSlaSelectEvent>;
    model: MonitorsSlaMonitorModel;
    changeFlag: boolean;
    approachingSLARange: number;
    approachingSLAInDays: boolean;
    workStatuses: string;
    ngOnInit(): void;
    LoadChartObject(category1Id: number, category2Id: number, category3Id: number, categoryActivityId: number, slaRange: number, slaInHours: boolean, workStatus: string): void;
    private extractXAxis(model);
    private extractSeries(model);
    GetSelectedCategorisation(categoryName: string): number[];
    ConstructCategorisation(categoryName: string): number[];
    private drillDown(event);
    clickMessage: string;
    Highcharts: any;
    chartConstructor: string;
    chartOptions: {
        chart: {
            type: string;
            events: {};
        };
        title: {
            text: string;
            style: {
                "fontSize": string;
                "font-weight": string;
            };
        };
        xAxis: {
            categories: any[];
            title: {
                rotation: number;
            };
        };
        yAxis: {
            min: number;
            title: {
                text: string;
            };
            labels: {
                x: number;
            };
            stackLabels: {
                enabled: boolean;
                style: {
                    fontWeight: string;
                    color: string;
                };
            };
        };
        legend: {
            align: string;
            x: number;
            verticalAlign: string;
            y: number;
            floating: boolean;
            backgroundColor: string;
            borderColor: string;
            borderWidth: number;
            shadow: boolean;
            itemStyle: {
                fontSize: string;
                font: string;
            };
        };
        tooltip: {
            headerFormat: string;
            pointFormat: string;
        };
        plotOptions: {
            series: {
                stacking: string;
                dataLabels: {
                    enabled: boolean;
                    align: string;
                    color: string;
                };
                animation: {
                    duration: number;
                };
                cursor: string;
                point: {
                    events: {
                        click: (event: MouseEvent) => void;
                    };
                };
            };
        };
        series: {
            name: string;
            color: string;
            data: any[];
        }[];
        drilldown: {
            series: any[];
        };
    };
    createChartOptions(): {
        chart: {
            type: string;
            events: {};
        };
        title: {
            text: string;
            style: {
                "fontSize": string;
                "font-weight": string;
            };
        };
        xAxis: {
            categories: any[];
            title: {
                rotation: number;
            };
        };
        yAxis: {
            min: number;
            title: {
                text: string;
            };
            labels: {
                x: number;
            };
            stackLabels: {
                enabled: boolean;
                style: {
                    fontWeight: string;
                    color: string;
                };
            };
        };
        legend: {
            align: string;
            x: number;
            verticalAlign: string;
            y: number;
            floating: boolean;
            backgroundColor: string;
            borderColor: string;
            borderWidth: number;
            shadow: boolean;
            itemStyle: {
                fontSize: string;
                font: string;
            };
        };
        tooltip: {
            headerFormat: string;
            pointFormat: string;
        };
        plotOptions: {
            series: {
                stacking: string;
                dataLabels: {
                    enabled: boolean;
                    align: string;
                    color: string;
                };
                animation: {
                    duration: number;
                };
                cursor: string;
                point: {
                    events: {
                        click: (event: MouseEvent) => void;
                    };
                };
            };
        };
        series: {
            name: string;
            color: string;
            data: any[];
        }[];
        drilldown: {
            series: any[];
        };
    };
    chartCallback: any;
    updateFlag: boolean;
    oneToOneFlag: boolean;
    runOutsideAngularFlag: boolean;
    onNavigationCategoryClick(categoryName: any): void;
    onClickBar(eventThis: any, eventData: MouseEvent): void;
    onClickAnywhere($event: any): void;
}
