import { OnInit } from '@angular/core';
import { EventEmitter } from '@angular/core';
import { IDataSource } from '../../../datasource/data-source';
import { DataSourceQuery } from '../../../datasource/data-source-query';
export declare class E5coreUiSearchResultsBaseComponent implements OnInit {
    datasource: IDataSource;
    query: DataSourceQuery;
    autoSearch: boolean;
    pagesizes: number[];
    open: EventEmitter<any>;
    link: EventEmitter<string>;
    ngOnInit(): void;
    /**
     *  Pass the open work item event on to any listener.
     * @param data the row of data, including the "Id" from the table.
     */
    onOpen(data: any): void;
    /**
     *  Pass the open link on to any listener.
     * @param data the row of data, including the "Id" from the table.
     */
    onLink(link: string): void;
    /**
     * Execute a search with the required search expression values.
     * @param expression the fields and values required to perform the search.
     */
    search(expression: DataSourceQuery): void;
    /**
     * Clear the search results.
     */
    reset(): void;
    /**
     * Refresh the search results at the current page.
     */
    refresh(): void;
}
