import { OnInit, EventEmitter, QueryList } from '@angular/core';
import { UiStyleService } from '../../services/ui-style.service';
import { E5coreUiSearchResultsBaseComponent } from './component/e5core-ui-search-results-base';
import { SearchDataSourceService } from '../../datasource/search-data-source.service';
import { DataSourceQuery } from '../../datasource/data-source-query';
export declare class E5coreUiSearchResultsComponent implements OnInit {
    style: UiStyleService;
    datasource: SearchDataSourceService;
    searchDefinitionId: number;
    query: DataSourceQuery;
    includeSla: boolean;
    includeNextDueTask: boolean;
    autoSearch: boolean;
    open: EventEmitter<any>;
    link: EventEmitter<any>;
    resultChildren: QueryList<E5coreUiSearchResultsBaseComponent>;
    error: string;
    constructor(style: UiStyleService, datasource: SearchDataSourceService);
    ngOnInit(): void;
    /**
     *  Pass the open work item event on to any listener.
     * @param data the row of data, including the "Id" from the table.
     */
    onOpen(data: any): void;
    /**
     *  Pass the open link on to any listener.
     * @param data the row of data, including the "Id" from the table.
     */
    onLink(url: string): void;
    /**
     * Execute a search with the required search expression values.
     * @param expression the fields and values required to perform the search.
     */
    search(query: DataSourceQuery): void;
    /**
     * Clear the search results.
     */
    reset(): void;
    /**
     * Refresh the search results at the current page.
     */
    refresh(): void;
}
