import { OnInit, EventEmitter } from '@angular/core';
import { DataSourceQuery } from '../../../datasource/data-source-query';
import { DocumentDataSourceService } from '../../../datasource/document-data-source.service';
export declare class E5coreUiSelectFromListBaseComponent implements OnInit {
    datasource: DocumentDataSourceService;
    query: DataSourceQuery;
    autoSearch: boolean;
    pagesizes: number[];
    error: string;
    listItemViewEvent: EventEmitter<{}>;
    listItemSelectEvent: EventEmitter<{}>;
    searchEvent: EventEmitter<{}>;
    searchText: string;
    ngOnInit(): void;
    /**
     *  Pass the open work item event on to any listener.
     * @param data the row of data, including the "Id" from the table.
     */
    onOpen(data: any): void;
    /**
     *  Pass the open link on to any listener.
     * @param data the row of data, including the "Id" from the table.
     */
    onSelect(data: any): void;
    /**
     *  Pass the open link on to any listener.
     * @param data the row of data, including the "Id" from the table.
     */
    onLink(link: string): void;
    /**
     * Execute a search with the required search expression values.
     * @param expression the fields and values required to perform the search.
     */
    search(): void;
    /**
     * Clear the search results.
     */
    reset(): void;
    /**
     * Refresh the search results at the current page.
     */
    refresh(): void;
}
