import { OnInit, AfterViewInit, EventEmitter } from '@angular/core';
import { BehaviorSubject } from 'rxjs';
import { E5ConfigurationService as e5Config } from 'e5core-angular-services';
import { WorkItemModel } from '../../models/work-item';
import { UiStyleService } from '../../services/ui-style.service';
import { DataSourceQuery } from '../../datasource/data-source-query';
import { DocumentDataSourceService } from '../../datasource/document-data-source.service';
import { FieldDefinitionModel } from '../../models/field-definition.model';
import { ViewerDisplayEvent } from '../../events/viewer-display-event';
export declare class E5coreUiSelectFromListComponent implements AfterViewInit, OnInit {
    private config;
    style: UiStyleService;
    datasource: DocumentDataSourceService;
    workItem$: BehaviorSubject<WorkItemModel>;
    libraryId: number;
    folderName: string;
    fieldsToShow: FieldDefinitionModel[];
    includeSelect: boolean;
    query: DataSourceQuery;
    pagesizes: number[];
    autoSearch: boolean;
    readonly: boolean;
    listItemViewEvent: EventEmitter<ViewerDisplayEvent>;
    listItemSelectEvent: EventEmitter<{}>;
    searchEvent: EventEmitter<{}>;
    workId: string;
    searchText: string;
    private selectFromListMaterialComponent;
    error: string;
    constructor(config: e5Config, style: UiStyleService, datasource: DocumentDataSourceService);
    ngOnInit(): void;
    ngAfterViewInit(): void;
    refresh(): void;
    onListItemViewEvent(event: any): void;
    onListItemSelectEvent(event: any): void;
    onSearchEvent(event: any): void;
    private updateData();
}
