import { OnInit, AfterViewInit, EventEmitter, QueryList, ChangeDetectorRef } from '@angular/core';
import { BehaviorSubject } from 'rxjs';
import { WorkItemModel } from '../../models/work-item';
import { E5coreUiAssignUserBaseComponent } from './component/e5core-ui-work-assign-user-base';
import { WorkItemFoundationService } from 'e5core-angular-services';
import { WorkUserEvent } from '../../events/work-user-event';
import { UserModel } from 'e5core-angular-services';
import { UiStyleService } from '../../services/ui-style.service';
export declare class E5coreUiAssignUserComponent implements AfterViewInit, OnInit {
    style: UiStyleService;
    private workItemFoundationService;
    private changeDetectorRef;
    workItem$: BehaviorSubject<WorkItemModel>;
    showAssignButton: boolean;
    readonly: boolean;
    assignUserEvent: EventEmitter<WorkUserEvent>;
    selectUserEvent: EventEmitter<WorkUserEvent>;
    selectedUser: UserModel;
    loading: boolean;
    assignUserComponents: QueryList<E5coreUiAssignUserBaseComponent>;
    constructor(style: UiStyleService, workItemFoundationService: WorkItemFoundationService, changeDetectorRef: ChangeDetectorRef);
    ngOnInit(): void;
    populateAssignableUsers(wid: string): void;
    selectUser(event: any): void;
    assignUser(event: any): void;
    ngAfterViewInit(): void;
}
