import { OnInit, EventEmitter } from '@angular/core';
import { BehaviorSubject } from 'rxjs';
import { E5coreUiWorkAttachmentsBaseComponent } from './e5core-ui-work-attachments-base';
import { PageEvent, MatSort, MatPaginator } from '@angular/material';
import { AttachmentsOdataService } from '../../../services/attachments-odata.service';
import { OdataMatTableDataSource } from './odata-mat-table-data-source';
import { WorkItemModel } from '../../../models/work-item';
import { FileUploadModel } from '../../../models/file-upload.model';
import { ViewerDisplayEvent } from '../../../events/viewer-display-event';
export declare class E5coreUiWorkAttachmentsMaterialComponent extends E5coreUiWorkAttachmentsBaseComponent implements OnInit {
    private workAttachments;
    workItem$: BehaviorSubject<WorkItemModel>;
    fileUpload$: BehaviorSubject<FileUploadModel>;
    attachmentDownloadEvent: EventEmitter<{}>;
    attachmentSelectEvent: EventEmitter<ViewerDisplayEvent>;
    displayedColumns: string[];
    dataSource: OdataMatTableDataSource;
    isLoading: boolean;
    length: number;
    pageSize: number;
    pageSizeOptions: number[];
    pageEvent: PageEvent;
    sort: MatSort;
    paginator: MatPaginator;
    constructor(workAttachments: AttachmentsOdataService);
    ngOnInit(): void;
    refresh(): void;
    onAttachmentDownload(event: any, element: any): void;
    onAttachmentSelect(event: any, element: any): void;
    setPageSizeOptions(setPageSizeOptionsInput: string): void;
}
