import { OnInit, AfterViewInit, EventEmitter } from '@angular/core';
import { BehaviorSubject } from 'rxjs';
import { E5ConfigurationService as e5Config } from 'e5core-angular-services';
import { WorkItemModel } from '../../models/work-item';
import { FileUploadModel } from '../../models/file-upload.model';
import { ViewerDisplayEvent } from '../../events/viewer-display-event';
import { UiStyleService } from '../../services/ui-style.service';
export declare class E5coreUiWorkAttachmentsComponent implements AfterViewInit, OnInit {
    style: UiStyleService;
    private config;
    workItem$: BehaviorSubject<WorkItemModel>;
    fileUpload$: BehaviorSubject<FileUploadModel>;
    readonly: boolean;
    pagesizes: number[];
    attachmentDownloadEvent: EventEmitter<{}>;
    attachmentSelectEvent: EventEmitter<ViewerDisplayEvent>;
    workId: string;
    downloadUrl: any;
    private workAttachmentsMaterialComponent;
    constructor(style: UiStyleService, config: e5Config);
    ngOnInit(): void;
    ngAfterViewInit(): void;
    refresh(): void;
    onAttachmentDownload(event: any): void;
    onAttachmentSelect(viewerDisplayEvent: any): void;
    private updateData();
}
