import { OnInit, QueryList } from '@angular/core';
import { BehaviorSubject } from 'rxjs';
import { WorkItemModel } from '../../../models/work-item';
import { FileUploadModel } from '../../../models/file-upload.model';
import { E5coreUiWorkAttachmentViewerComponent } from '../../e5core-ui-work-attachment-viewer/e5core-ui-work-attachment-viewer.component';
import { KeyValuePair } from '../../../util/key-value-pair';
import { FieldDefinitionModel } from '../../../models/field-definition.model';
import { E5coreUiConversationViewerComponent } from '../../e5core-ui-conversation-viewer/e5core-ui-conversation-viewer.component';
export declare class E5CoreUiWorkItemMaterialComponent implements OnInit {
    workItem$: BehaviorSubject<WorkItemModel>;
    workItem: WorkItemModel;
    fileUpload$: BehaviorSubject<FileUploadModel>;
    displayedDate: Date;
    displayedTime: String;
    diariseReasonTextValue: String;
    workId: string;
    workRelatedItemFields: KeyValuePair[];
    selectFromListFields: FieldDefinitionModel[];
    attachmentViewerComponents: QueryList<E5coreUiWorkAttachmentViewerComponent>;
    conversationViewerComponent: QueryList<E5coreUiConversationViewerComponent>;
    constructor();
    ngOnInit(): void;
    onConversationView(event: any): void;
    onAttachmentSelect(event: any): void;
    onGenerateDocument(event: any): void;
    onListItemViewEvent(event: any): void;
    onListItemSelectEvent(event: any): void;
    onWorkItemSelect(event: any): void;
    onDiarisePeriodOptionClick($event: any): void;
    onDiariseButtonClick($event: any): void;
    onDateChange($event: any): void;
    onDiariseReasonTextChange($event: any): void;
}
