import { UiDocumentService } from 'e5core-angular-services';
import { Observable } from 'rxjs';
import { IDataSource } from './data-source';
import { DataSourceOptions } from './data-source-options';
import { DataSourceColumn } from './data-source-column';
import { DataSourceResults } from './data-source-results';
import { FieldDefinitionModel } from '../models/field-definition.model';
export declare class DocumentDataSourceService implements IDataSource {
    private uiDocumentService;
    libraryId: number;
    folderName: string;
    includeSelect: boolean;
    searchText: string;
    fieldsToShow: FieldDefinitionModel[];
    searchOptions: DataSourceOptions;
    constructor(uiDocumentService: UiDocumentService);
    defaultOptions(): DataSourceOptions;
    setDefaultOptions(options: DataSourceOptions): void;
    setLibrary(libraryId: number, folderName: string, includeSelect: boolean, fieldsToShow: FieldDefinitionModel[], searchText: string): DocumentDataSourceService;
    columns(): Observable<DataSourceColumn[]>;
    private addOptionalColumns(columns);
    read(page: number, pageSize: number, optionsIn: DataSourceOptions): Observable<DataSourceResults>;
    private mapResults(result);
    private mapQueryToFilterBy(query);
}
