import { UiSearchDefinitionService, WorkSearchFoundationService } from "e5core-angular-services";
import { SearchFormModel } from "../models/search-form.model";
import { Observable, BehaviorSubject } from "rxjs";
/**
 * This service is used to provide work into the work item Subject/
 */
export declare class SearchDeliveryService {
    private uiSearchDefinitionService;
    private workSearchService;
    constructor(uiSearchDefinitionService: UiSearchDefinitionService, workSearchService: WorkSearchFoundationService);
    /**
     * Get the search defintion, inclusing the fields to be shown by default, the search fields
     * and the default search information.
     * @param searchForm$ publish the new search definition to this observable.
     * @param searchDefinitionId
     */
    getSearchDefinition(searchForm$: BehaviorSubject<SearchFormModel>, searchDefinitionId: number): Observable<SearchFormModel>;
}
